#include <bits/stdc++.h>

using namespace std;

    vector<int> vx;
    vector<int> vy;
int x[1000005],y[1000005];
bool prov1(int x)
{
    bool a=false;
    for(int i=0;i<vx.size();i++)
    {
        if(vx[i]==x) a=true;
    }
    return a;
}
bool prov2(int x)
{
    bool a=false;
    for(int i=0;i<vy.size();i++)
    {
        if(vy[i]==x) a=true;
    }
    return a;
}
int racun(int kx,int ky,int n)
{
    int br=0;
    for(int i=0;i<n;i++)
    {
        br+=abs(kx-x[i])*abs(ky-y[i]);
    }
    return br;
}
int main()
{
    int m,mx=INT_MIN,my=INT_MIN;
    cin>>m;
    int maxi=INT_MIN;
    for(int i=0;i<m;i++)
    {
        cin>>x[i]>>y[i];
        if(x[i]>mx) mx=x[i];
        if(y[i]>my) my=y[i];
        vx.push_back(x[i]);
        vy.push_back(y[i]);
        for(int j=0;j<mx;j++)
        {
            for(int k=0;k<my;k++)
            {
                if(prov1(j) && prov2(k))
                {
                    if(racun(j,k,i)>maxi)
                    {
                        maxi=racun(j,k,i);
                    }
                }
            }
        }
        cout<<maxi<<endl;
    }
    return 0;
}